<template>
  <q-tab-panels
    v-model="activeTab"
    animated
    :transition-prev="$q.platform.is.mobile ? 'fade' : 'slide-down'"
    :transition-next="$q.platform.is.mobile ? 'fade' : 'slide-up'"
    class="rounded-border-16 bg-alt-secondary text-white shadow-4"
  >
    <template v-for="(useCaseValue, useCaseKey, index) in useCases">
      <q-tab-panel :name="useCaseKey" :key="index">
        <div class="text-h4 text-center q-mb-md">{{ useCaseValue.heading }}</div>
        <div class="text-subtitle1">
          {{ useCaseValue.description1 }}
        </div>
        <div class="row full-width justify-center rounded-borders q-ma-md q-pa-md">
          <q-img
            contain
            style="max-height: 320px"
            :src="require('assets/' + useCaseValue.asset)"
          />
        </div>
        <div class="text-subtitle1">
          {{ useCaseValue.description2 }}
        </div>
        <br />
        <div class="text-subtitle1">
          {{ useCaseValue.description3 }}
        </div>
      </q-tab-panel>
    </template>
  </q-tab-panels>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api';
export default defineComponent({
  name: 'IndexUseCasesTabPanels',

  data() {
    return {
      // activeTab: ''
    };
  },

  computed: {
    activeTab: function() {
      return this.activeTabModel;
    }
  },

  props: {
    useCases: {
      type: Object,
      required: true
    },

    activeTabModel: {
      type: String,
      required: true
    }
  }
});
</script>
